FreeMat

- Main Page
- Related Pages

vtkRTXMLPolyDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkRTXMLPolyDataReader reads the VTK XML PolyData file format in real time.

To create an instance of class vtkRTXMLPolyDataReader, simply invoke its constructor as follows

      obj = vtkRTXMLPolyDataReader

# Methods

The class vtkRTXMLPolyDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRTXMLPolyDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRTXMLPolyDataReader = obj.NewInstance ()`
- `vtkRTXMLPolyDataReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetLocation (string dataLocation)`
- `string = obj.GetDataLocation ()`
- `obj.UpdateToNextFile ()` - Reader will read in the next available data file The filename is this->NextFileName maintained internally
- `int = obj.NewDataAvailable ()` - check if there is new data file available in the given DataLocation
- `obj.ResetReader ()` - ResetReader check the data directory specified in this->DataLocation, and reset the Internal data structure specifically: this->Internal->ProcessedFileList for monitoring the arriving new data files if SetDataLocation(char*) is set by the user, this ResetReader() should also be invoked.
- `string = obj.GetNextFileName ()` - Return the name of the next available data file assume NewDataAvailable() return VTK_OK